libweed 0.6.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Macros
Macros
weed-events.h File Reference

Go to the source code of this file.

## Macros
#define | WEED_EVENT_API_VERSION 110
#define | WEED_EVENT_API_VERSION_100
#define | WEED_EVENT_API_VERSION_110
#define | WEED_PLANT_EVENT 256
#define | WEED_PLANT_EVENT_LIST 257
#define | WEED_EVENT_HINT_UNDEFINED 0
#define | WEED_EVENT_HINT_FRAME 1
#define | WEED_EVENT_HINT_FILTER_INIT 2
#define | WEED_EVENT_HINT_FILTER_DEINIT 3
#define | WEED_EVENT_HINT_FILTER_MAP 4
#define | WEED_EVENT_HINT_PARAM_CHANGE 5
#define | WEED_EVENT_HINT_MARKER 6

## Macro Definition Documentation

#define WEED_EVENT_API_VERSION 110

#define WEED_EVENT_API_VERSION_100

#define WEED_EVENT_API_VERSION_110

#define WEED_EVENT_HINT_FILTER_DEINIT 3

#define WEED_EVENT_HINT_FILTER_INIT 2

#define WEED_EVENT_HINT_FILTER_MAP 4

#define WEED_EVENT_HINT_FRAME 1

#define WEED_EVENT_HINT_MARKER 6

#define WEED_EVENT_HINT_PARAM_CHANGE 5

#define WEED_EVENT_HINT_UNDEFINED 0

#define WEED_PLANT_EVENT 256

#define WEED_PLANT_EVENT_LIST 257